Bug 1264089 - cannot add adsl type connection
Summary: cannot add adsl type connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 7.2
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 13:41 UTC by Vladimir Benes
Modified: 2016-01-04 06:05 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.0.6-8.el7
Doc Type: Bug Fix
Doc Text:
nmcli has enabled adding ADSL connections via 'nmcli connection add' command.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:04:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Vladimir Benes 2015-09-17 13:41:32 UTC
Description of problem:
[vbenes@trautenberg nmcli (rhel-7)]$ nmcli  -a connection add 
Valid types: [generic, 802-3-ethernet (ethernet), pppoe, 802-11-wireless (wifi), wimax, gsm, cdma, infiniband, adsl, bluetooth, vpn, 802-11-olpc-mesh (olpc-mesh), vlan, bond, team, bridge, bond-slave, team-slave, bridge-slave]
Connection type: adsl
Interface name [*]: 
Error: 'adsl' is not a valid connection type.


Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-6.el7.x86_64
NetworkManager-adsl-1.0.6-6.el7.x86_64

Comment 1 Jirka Klimes 2015-09-18 11:24:57 UTC
Creating ADSL connections with "nmcli con add" has never been implemented. So we should have not shown 'adsl' as a valid type in the first place.

Anyway, I have added the support for adsl to 'nmcli connection add' now. And also included two adsl related fixes.
See upstream branch jk/nmcli-con-add-adsl-rh1264089.

Comment 2 Thomas Haller 2015-09-19 13:40:12 UTC
missing bash-completion for the new options.

rest LGTM

Comment 3 Beniamino Galvani 2015-09-21 07:32:14 UTC
Looks good.

Comment 4 Jirka Klimes 2015-09-21 19:33:19 UTC
(In reply to Thomas Haller from comment #2)
> missing bash-completion for the new options.

Added.

Committed upstream,
master:
e9f9f4e merge: fix ADSL in nmcli and libnm-core/libnm-utils (rh #1264089)
290c162 cli: allow creating ADSL connections with 'nmcli connection add' (rh #1264089)
5502d86 cli: initialize adsl.protocol in editor when creating a new connection
3d64d45 libnm-core/libnm-util: fix an assertion in adsl setting

nm-1-0:
3e26774 merge: fix ADSL in nmcli and libnm-core/libnm-utils (rh #1264089)
b590a31 cli: allow creating ADSL connections with 'nmcli connection add' (rh #1264089)
9bca3b7 cli: initialize adsl.protocol in editor when creating a new connection
1f7be49 libnm-core/libnm-util: fix an assertion in adsl setting

Comment 6 errata-xmlrpc 2015-11-19 11:04:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.